Subject: [dnsext] QRP draft updated

From: "George Barwood" <[email-masked]>
Date: Sat, 6 Mar 2010 19:26:23 -0000

I have submitted an updated version of the QRP draft

http://www.ietf.org/id/draft-barwood-dnsext-dns-transport-16.txt

or in HTML ( may not yet be available )

http://tools.ietf.org/html/draft-barwood-dnsext-dns-transport-16

The main change is section 3.11 EDNS Tunnel, which defines an
alternative transport for situations where UDP ports other than 53
are blocked ( at the suggestion of Nicholas Weaver ).

Other changes are minor, except for a statement that where the
parent zone is signed, the QRPK resource record set is signed,
which ( I hope ) allows a smooth transition from a DNSSEC
parent to a non-DNSSEC child zone that is secured by QRP.

I haven't made any special provision for cryptographic algorithm agility,
however since a new algorithm can be added at any time by defining a
new OPCODE, together with a resource record type (for the public key),
I don't think this is an issue.

George Barwood